#include <Wire.h>
#include <VL53L1X.h>

VL53L1X gVL531X;


VL53L1X sensor;
VL53L1X sensor2;
VL53L1X sensor3;
void setup()
{

  pinMode(2, OUTPUT);
  pinMode(3, OUTPUT);
  pinMode(4, OUTPUT);
  digitalWrite(2, LOW);
  digitalWrite(3, LOW);
  digitalWrite(4, LOW);

  delay(500);
  Wire.begin();


  Serial.begin (9600);

  pinMode(2, INPUT);
  delay(150);
  sensor.init(true);
  delay(100);
  sensor.setAddress((uint8_t)22);
  sensor.setTimeout(500);

  pinMode(3, INPUT);
  delay(150);
  sensor2.init(true);
  delay(100);
  sensor2.setAddress((uint8_t)23);
  sensor2.setTimeout(500);

  pinMode(4, INPUT);
    delay(150);
  sensor3.init(true);
  delay(100);
  sensor3.setAddress((uint8_t)25);
  sensor3.setTimeout(500);

  
  
  Serial.println("addresses set");
  sensor.startContinuous(30);
  sensor2.startContinuous(30);
  sensor3.startContinuous(30);
  Serial.println("start read range");
   
  gVL531X.setTimeout(1000);

  



}

void loop()
{
  int dist1;
  int dist2;
  int dist3;
  dist1 = sensor.readRangeContinuousMillimeters();
  dist2 = sensor2.readRangeContinuousMillimeters();
  dist3 = sensor3.readRangeContinuousMillimeters();
  
  Serial.print(dist1);
  Serial.print("[mm]");
  Serial.print(dist2);
  Serial.println("[mm]");
  Serial.print(dist3);
  Serial.println("[mm]");
  delay(30);

  if (sensor.timeoutOccurred()){
    Serial.print("sensor1timeout\n");
  }
  if (sensor2.timeoutOccurred()){
    Serial.print("sensor2timeout\n");
  }
  if (sensor3.timeoutOccurred()){
    Serial.print("sensor3timeout\n");
  }
}
